Check for DNS conflict on redirect creation

Check if a new redirect you are attempting to create will conflict with existing DNS records for your domain. This helps prevent configuration errors and ensures your DNS settings are correct.

Domain Services Redirects

Context

Query Parameters

domain_name string required · Example: example.com
source_url string required · Example: https://example.com/

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.existingRecords array<object> required · Example: [{"type":"A","name":"example.com","value":"192.0.0.1","ttl":3600},{"type":"A","name":"e...
data.existingRecords[].name string required · Example: example.com
data.existingRecords[].ttl integer required · Example: 3600
data.existingRecords[].type string · enum required · Example: A
A
ALIAS
CNAME
data.existingRecords[].value string | array required · Example: ["example.com."]
data.subdomain string required · Example: @
data.willReplace boolean required · Example: false
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/redirects/check-dns
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/redirects/check-dns?domain_name=example.com&source_url=https%3A%2F%2Fexample.com%2F" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "willReplace": false,
    "existingRecords": [],
    "subdomain": "@"
  }
}